<?php
date_default_timezone_set("Europe/Berlin");
$path = dirname(__FILE__);
$pos = stripos($path, 'login');
$dir = substr($path,0,$pos).'login/';
define('SMARTY_DIR', $dir);
require(SMARTY_DIR . 'vendor/autoload.php');
use Smarty\Smarty;
    class SmartyAdmin extends Smarty{

        public function __construct(){
            parent::__construct();    // this must be called 
            $this->template_dir  = SMARTY_DIR.'html';
            $this->compile_dir   = SMARTY_DIR.'smarty_tmp/templates_c';
            $this->config_dir    = SMARTY_DIR.'smarty_tmp/config';
            $this->cache_dir     = SMARTY_DIR.'smarty_tmp/cache';
        }
    }
?>